Update the payment intent amount
curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/payment-intents/{payment_intent_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '{
"amount": 123
}'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/payment-intents/{payment_intent_id}"
payload = { "amount": 123 }
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: 123})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/payment-intents/{payment_intent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"amount": 123,
"currency": "<string>",
"payment_methods": [],
"recipient": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_accounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_holder_name": "<string>",
"account_number": "<string>",
"bic": "<string>",
"country": "US",
"currency": "USD",
"display_name": "<string>",
"iban": "<string>",
"is_default": false,
"name": "<string>",
"routing_number": "<string>",
"sort_code": "<string>",
"was_created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"name": "<string>"
},
"status": "<string>",
"application_fee_amount": 123,
"batch_payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice": {
"due_date": "2023-12-25",
"file": {
"mimetype": "<string>",
"name": "<string>",
"url": "<string>"
},
"issue_date": "2023-12-25"
},
"object": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_accounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_holder_name": "<string>",
"account_number": "<string>",
"bic": "<string>",
"country": "US",
"currency": "USD",
"display_name": "<string>",
"iban": "<string>",
"is_default": false,
"name": "<string>",
"routing_number": "<string>",
"sort_code": "<string>",
"was_created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"name": "<string>"
},
"payment_link_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_reference": "<string>",
"provider": "<string>"
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Payment intents
Update the payment intent amount
PATCH
/
finops
/
v1
/
payment-intents
/
{payment_intent_id}
Update the payment intent amount
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
Example:
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
application/json
Response
Successful Response
Available options:
sepa_credit, us_ach, blik, card, bacs_direct_debit, bancontact, eps, giropay, ideal, p24, sepa_debit, sofort, applepay, googlepay, affirm, klarna Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
sepa_credit, us_ach, blik, card, bacs_direct_debit, bancontact, eps, giropay, ideal, p24, sepa_debit, sofort, applepay, googlepay, affirm, klarna Was this page helpful?
⌘I